-- 3.5.1
-- Issue #1943
ALTER TABLE esia_service_pattern_included ALTER column included_plugin_id set NOT NULL;

-- Add program response_ack & alerting plugins ack on php trigger
ALTER TABLE IF EXISTS esia_service_response_program ADD COLUMN response_ack boolean;
ALTER TABLE IF EXISTS esia_plugin_react_program ADD COLUMN react_ack boolean;
ALTER TABLE IF EXISTS esia_service_pattern_included ADD COLUMN included_ack boolean;

INSERT INTO esia_triggers(trigger_id, trigger_name, trigger_table_name, trigger_when, trigger_operation, trigger_web_plugin, trigger_order, trigger_file_path, trigger_function) VALUES (DEFAULT, 'ack_error', 'esia_error_happen', 'AFTER', 'UPDATE', NULL, 50, 'triggers.php', 'triggers\afterHappenErrorAck');

-- Alerting plugin send_ticket_hubbiz
INSERT INTO esia_program(program_id, program_name, program_path, program_default_parameter, program_html_template) VALUES (DEFAULT, 'SEND_TICKET_HUBBIZ', '/usr/local/esia/plugins/alerting/send_ticket_hubbiz.php', '-e $ERROR', NULL);

INSERT INTO esia_program(program_id, program_name, program_path, program_default_parameter, program_html_template) VALUES (DEFAULT, 'SEND_TICKET_HUBBIZ_MAIL', '/usr/local/esia/plugins/alerting/send_ticket_hubbiz.php', '-e $ERROR -m "$USERMAIL"', NULL);

INSERT INTO esia_configuration(config_key, config_value, config_description, config_type, config_visibility) VALUES ('LDAP_BASEDN','dc=esia, dc=com','DN de recherche des utilisateurs','string',true);
INSERT INTO esia_configuration(config_key, config_value, config_description, config_type, config_visibility) VALUES ('LDAP_HOST_URI','','URI de connexion au serveur AD/LDAP au format ldap://','string',true);
INSERT INTO esia_configuration(config_key, config_value, config_description, config_type, config_visibility) VALUES ('LDAP_MEMBER_GROUPS_MATCH','[{"esia_groups":"root","attribute":"memberof", "match":"cn=test"}]','Groupe AD qui aura les droits root','text',true);
ALTER TABLE public.esia_program     ALTER COLUMN program_default_parameter TYPE character varying(200) COLLATE pg_catalog."default";
ALTER TABLE public.esia_service_response_program    ALTER COLUMN response_parameter TYPE character varying(200) COLLATE pg_catalog."default";
